[arch-commits] Commit in epiphany/repos (staging-x86_64 staging-x86_64/PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Apr 5 13:31:54 UTC 2019


    Date: Friday, April 5, 2019 @ 13:31:53
  Author: felixonmars
Revision: 350031

archrelease: copy trunk to staging-x86_64

Added:
  epiphany/repos/staging-x86_64/
  epiphany/repos/staging-x86_64/PKGBUILD
    (from rev 350029, epiphany/trunk/PKGBUILD)

----------+
 PKGBUILD |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

Copied: epiphany/repos/staging-x86_64/PKGBUILD (from rev 350029, epiphany/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2019-04-05 13:31:53 UTC (rev 350031)
@@ -0,0 +1,42 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=epiphany
+pkgver=3.32.1.2
+pkgrel=2
+pkgdesc="A GNOME web browser based on the WebKit rendering engine"
+url="https://wiki.gnome.org/Apps/Web"
+arch=(x86_64)
+license=(GPL)
+depends=(webkit2gtk gcr icu libdazzle libhandy)
+makedepends=(docbook-xml startup-notification lsb-release gobject-introspection yelp-tools
+             appstream-glib git meson)
+checkdepends=(xorg-server-xvfb)
+groups=(gnome)
+_commit=f6e84e5424ffc6acf9a76dad24c95a771dfb857b  # tags/3.32.1.2^0
+source=("git+https://gitlab.gnome.org/GNOME/epiphany.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  arch-meson $pkgname build \
+    -D distributor_name="Arch Linux®"
+  ninja -C build
+}
+
+check() {
+  # ERROR:../epiphany/tests/ephy-web-app-utils-test.c:109:test_web_app_lifetime: assertion failed (g_list_length (apps) == 1): (0 == 1)
+  xvfb-run meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}


More information about the arch-commits mailing list